
Redmine - Defect #7581

Not including a spent time value on the main issue update screen causes silent data loss

2011-02-09 07:07 - Pierce Morton

Status: Closed Start date: 2011-02-09

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

When updating an issue:

If you choose a value for type of time spent and/or type a comment for that time in the Log Time section of the Issue update screen,

but do not enter a time, your comment and time type is silently dropped and lost.  This could lead to people thinking that their time

entry has gone through when it should be complaining about the missing value.

This does not happen on the 'pure' Log Time screen for an issue, which rightly complains when something is missing.

This happens on my installations as per below, but is also easily demonstrable on the latest Demo Redmine instance.

About your application's environment

Ruby version              1.8.7 (i386-mingw32)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          c:/redmine

Environment               production

Database adapter          mysql

Database schema version   20100819172912

About your Redmine plugins

Redmine Graphs plugin   0.1.0

Redmine Charts          0.1.0

Associated revisions

Revision 5110 - 2011-03-13 17:38 - Jean-Philippe Lang

Check for a valid time entry if comments have been entered when updating an issue (#7581).

History

#1 - 2011-03-13 17:42 - Jean-Philippe Lang

- Target version set to 1.2.0

Fix for the comment field committed in r5110.

It's different for the activity field because it may contain a default value. I'm not sure that we should complain if the user has just changed this field.

#2 - 2011-04-15 15:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed
